Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/bin/genhtml
diff options
context:
space:
mode:
Diffstat (limited to 'bin/genhtml')
-rwxr-xr-xbin/genhtml15
1 files changed, 15 insertions, 0 deletions
diff --git a/bin/genhtml b/bin/genhtml
new file mode 100755
index 0000000..8593727
--- /dev/null
+++ b/bin/genhtml
@@ -0,0 +1,15 @@
+#!/bin/oksh
+
+BASE="${0%/*}/.."
+. "${BASE}/conf/default.conf"
+
+if test ! -d "${html_dir}"; then
+ echo "no html output diretory found.. call setup first."
+ exit 1
+fi
+
+FILES="summary"
+
+for file in $FILES; do
+ m4 -I "${templates_dir}" -P < "${templates_dir}/${file}.m4" > "${html_dir}/${file}.html"
+done